Project Identifiers apparently must be in lowercase only

2008-06-17 00:11 - Ewan Makepeace

Status: Closed Start date: 2008-06-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The help text on the New Project form states:

Length between 3 and 20 characters. Lower case letters (a-z), numbers and dashes allowed.

Once saved, the identifier can not be changed.

However this seems not to be true - both Uppercase letters and other symbols seem to be rejected. For example this identifier:

TestProject

Is rejected with this message:

« Identifier » is invalid

Associated revisions

Revision 1763 - 2008-08-25 18:14 - Jean-Philippe Lang

Changes help message about project identifiers (#1478).

History

#1 - 2008-06-17 11:55 - Paul Rivier

Read again, then close this issue :)

Lower case letters (a-z), numbers and dashes allowed.

#2 - 2008-06-17 22:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Indeed. Only Lower case letters (a-z), numbers and dashes are allowed.

validates_format_of :identifier, :with => /^[a-z0-9\-]*$/

#3 - 2008-06-23 03:21 - Ewan Makepeace

- Status changed from Closed to Reopened

Guys,

First off apologies for posting such a time wasting bug - clearly not only did I not RTFM but not even the page itself. But then I got to thinking - I am no

newbie,I run a software business with 24 employees and yet I not only misunderstood the meaning of this help text, but went to the trouble of joining

your issue tracker so I could report it! On the one hand pretty dumb, but perhaps on the other this is a mistake that others will make?

With that in mind I looked at the sentence again, and what it says is 100% correct "Lower case letters (a-z), numbers and dashes allowed". However

what I thought (subconsciously of course) was implied was that is was_ in addition to uppercase letters_, since there are almost no situations where

uppercase letters are not permitted.

Indeed the restriction that upper case letters are not permitted is so unusual that I would suggest you consider one of these two changes:

1. Explicitly mention that upper case letters may not be used

2. convert the string to lower case on entry and mention that the string is "case insensitive" like a username << My preferred option.

Anyway apologies for reopening this minor issue. If you close it again I promise not to argue!

rgds
Ewan

#4 - 2008-06-23 23:28 - Paul Rivier

- Assignee set to Jean-Philippe Lang

Indeed the restriction that upper case letters are not permitted is so unusual that I would suggest you consider one of these two changes:

1. Explicitly mention that upper case letters may not be used

2. convert the string to lower case on entry and mention that the string is "case insensitive" like a username << My preferred option.

 We can maybe rewrite label to : Only lower case letters (a-z), numbers and dashes are allowed

I dont like conversion as proposed because of the possible collisions that a user would not understand.

Jean-Philippe, I don't think you need a patch for that, and as I don't have any repository access (yet ? :) I can't do that. So you are the assignee again

! :)

#5 - 2008-08-25 18:16 - Jean-Philippe Lang

- Status changed from Reopened to Closed

As Paul proposed, the help message was changed in r1763.

since there are almost no situations where uppercase letters are not permitted.

 Did you try to register a project on sourceforge ? :-)
